class TestAttributes

Same name and namespace in other branches
  1. main core/modules/system/tests/modules/router_test_directory/src/Controller/TestAttributes.php \Drupal\router_test\Controller\TestAttributes

Test controller for method-level Route attributes.

Hierarchy

Expanded class hierarchy of TestAttributes

1 file declares its use of TestAttributes
AttributeRouteDiscoveryTest.php in core/tests/Drupal/Tests/Core/Routing/AttributeRouteDiscoveryTest.php

File

core/modules/system/tests/modules/router_test_directory/src/Controller/TestAttributes.php, line 14

Namespace

Drupal\router_test\Controller
View source
class TestAttributes extends ControllerBase {
  public function attributeMethod() : array {
    return [
      '#markup' => 'Testing method with a Route attribute',
    ];
  }
  public function allProperties() : array {
    return [
      '#markup' => 'Testing route with all properties',
    ];
  }

}

Members

Title Sort descending Modifiers Object type Summary Overrides
AutowiredInstanceTrait::createInstanceAutowired public static function Instantiates a new instance of the implementing class using autowiring.
AutowiredInstanceTrait::getAutowireArguments private static function Resolves arguments for a method using autowiring.
AutowireTrait::create public static function Instantiates a new instance of the implementing class using autowiring. 136
ControllerBase::$configFactory protected property The configuration factory.
ControllerBase::$currentUser protected property The current user service. 2
ControllerBase::$entityFormBuilder protected property The entity form builder.
ControllerBase::$entityTypeManager protected property The entity type manager.
ControllerBase::$formBuilder protected property The form builder. 1
ControllerBase::$keyValue protected property The key-value storage. 1
ControllerBase::$languageManager protected property The language manager. 1
ControllerBase::$moduleHandler protected property The module handler. 1
ControllerBase::$stateService protected property The state service.
ControllerBase::cache protected function Returns the requested cache bin.
ControllerBase::config protected function Retrieves a configuration object.
ControllerBase::container private function Returns the service container.
ControllerBase::currentUser protected function Returns the current user. 2
ControllerBase::entityFormBuilder protected function Retrieves the entity form builder.
ControllerBase::entityTypeManager protected function Retrieves the entity type manager.
ControllerBase::formBuilder protected function Returns the form builder service. 1
ControllerBase::keyValue protected function Returns a key/value storage collection. 1
ControllerBase::languageManager protected function Returns the language manager service. 1
ControllerBase::moduleHandler protected function Returns the module handler. 1
ControllerBase::redirect protected function Returns a redirect response object for the specified route.
ControllerBase::state protected function Returns the state storage service.
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 27
MessengerTrait::messenger public function Gets the messenger. 27
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1
TestAttributes::allProperties public function #[Route(path: '/test_all_properties/{parameter}', name: 'router_test.all_properties', requirements: [
'_access' => 'TRUE',
'parameter' => '\\d+',
], options: [
'_admin_route' => TRUE,
'utf8' => TRUE,
], defaults: [
'_title' => 'Test all…
TestAttributes::attributeMethod public function #[Route('/test_method_attribute', name: 'router_test.method_attribute', requirements: [
'_access' => 'TRUE',
], alias: 'router_test.alias_test')]
#[Route('/test_method_attribute-other-path', name: 'router_test.method_attribute_other', requirements:…

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.